List Project Sync Updates
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/sync-updatesimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/sync-updates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/sync-updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"kind": "sync_change",
"changePolicy": "apply",
"familyId": "<string>",
"familyName": "<string>",
"familyStatus": "<string>",
"itemType": "default",
"familyVersion": 123,
"primaryImageUrl": "<string>",
"projectItemId": "<string>",
"projectItemVersion": 123,
"projectId": "<string>",
"projectName": "<string>",
"isComponent": true,
"canPublishAsAlternative": true,
"latestEventAt": "<string>",
"events": [
{
"id": "<string>",
"source": "project",
"entityType": "image",
"actorUserId": "<string>",
"actorName": "<string>",
"fields": [
{
"slug": "<string>",
"label": "<string>",
"from": {},
"to": {},
"fromDisplay": "<string>",
"toDisplay": "<string>"
}
],
"imageChange": {
"fromUrl": "<string>",
"toUrl": "<string>"
},
"createdAt": "<string>"
}
],
"decisionEventIds": [
"<string>"
],
"syncState": {},
"partsDiffHydrated": {
"added": [
{
"catalogItemId": "<string>",
"name": "<string>",
"primaryImageUrl": "<string>"
}
],
"removed": [
{
"catalogItemId": "<string>",
"name": "<string>",
"primaryImageUrl": "<string>"
}
],
"quantityChanged": [
{
"part": {
"catalogItemId": "<string>",
"name": "<string>",
"primaryImageUrl": "<string>"
},
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionHydrated": {
"projectSource": {
"familySourceId": "<string>",
"supplierName": "<string>"
},
"catalogPrimary": {
"familySourceId": "<string>",
"supplierName": "<string>"
}
},
"withheld": true,
"release": {
"id": "<string>",
"number": 123,
"label": "<string>",
"collectionId": "<string>",
"collectionName": "<string>"
},
"affectedProjects": [
{
"projectId": "<string>",
"projectName": "<string>"
}
],
"productLinkProposal": {
"id": "<string>",
"version": 123,
"fromCatalogFamilyId": "<string>",
"fromCatalogFamilyName": "<string>",
"toCatalogFamilyId": "<string>",
"toCatalogFamilyName": "<string>",
"toCatalogItemId": "<string>",
"createdByName": "<string>",
"sourceKind": "sync_event",
"sku": "<string>",
"intendedChanges": [
{
"columnId": "<string>",
"slug": "<string>",
"label": "<string>",
"oldValue": {},
"newValue": {},
"oldDisplay": "<string>",
"newDisplay": "<string>"
}
]
},
"projectItemName": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}Project Sync Updates
List Project Sync Updates
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
sync-updates
List Project Sync Updates
Query Parameters
Required range:
1 <= x <= 100⌘I